This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 851855 - Running report_uReport return Unexpected HTTP status code: 400
Running report_uReport return Unexpected HTTP status code: 400
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: abrt (Show other bugs)
17
Unspecified Unspecified
high Severity unspecified
: ---
: ---
Assigned To: abrt
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ABRTF18
  Show dependency treegraph
 
Reported: 2012-08-26 10:27 EDT by Mikhail
Modified: 2012-12-20 11:25 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 11:25:14 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
abrt screenshot (21.05 KB, image/png)
2012-08-26 10:27 EDT, Mikhail
no flags Details

  None (edit)
Description Mikhail 2012-08-26 10:27:48 EDT
Created attachment 607070 [details]
abrt screenshot

Description of problem:
--- Running report_uReport ---
Unexpected HTTP status code: 400
(exited with 1)
Comment 1 Jiri Moskovcak 2012-08-27 02:29:54 EDT
What's the libreport version? $ rpm -q libreport
Comment 2 Jakub Filak 2012-08-27 03:24:32 EDT
We have changed type of URL saved in configuration. The previous URL was direct URL to the uReport service. A new URL is URL to a server running uReport services. I guess, you have the old URL.

Please, check the configuration of uReport.

Run abrt-gui -> Edit -> Preferences -> uReport

the default correct url is https://retrace.fedoraproject.org/faf
Comment 3 Mikhail 2012-08-27 11:55:01 EDT
$ rpm -q libreport
libreport-2.0.13-1.fc17.i686

url is correct


Demonstration video: https://docs.google.com/open?id=0B0nwzlfiB4aQNkhRY0FDQ2dYTkU
Comment 4 Jakub Filak 2012-08-29 10:46:11 EDT
It was a bug in processing of HTTP error codes. Thaks for reporting.

commit ba8997182f972d87b75df83dd71d4fb7844954fe
Author: Jakub Filak <jfilak@redhat.com>
Date:   Tue Aug 28 12:01:29 2012 +0200

    rhbz#851855: process ureport server errors correctly
    
    Signed-off-by: Jakub Filak <jfilak@redhat.com>
Comment 5 Fedora Update System 2012-09-24 10:32:20 EDT
abrt-2.0.13-1.fc18,libreport-2.0.14-1.fc18,btparser-0.19-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/abrt-2.0.13-1.fc18,libreport-2.0.14-1.fc18,btparser-0.19-1.fc18
Comment 6 Fedora Update System 2012-09-24 16:04:18 EDT
Package abrt-2.0.13-1.fc18, libreport-2.0.14-1.fc18, btparser-0.19-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abrt-2.0.13-1.fc18 libreport-2.0.14-1.fc18 btparser-0.19-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14679/abrt-2.0.13-1.fc18,libreport-2.0.14-1.fc18,btparser-0.19-1.fc18
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-09-25 06:06:42 EDT
abrt-2.0.13-1.fc17,libreport-2.0.14-1.fc17,btparser-0.19-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/abrt-2.0.13-1.fc17,libreport-2.0.14-1.fc17,btparser-0.19-1.fc17
Comment 8 Fedora Update System 2012-12-20 11:25:19 EST
abrt-2.0.13-1.fc18, libreport-2.0.14-1.fc18, btparser-0.19-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.